Subject: RE: [Ltru] Proposal: include new "Language-Type:" field

From: "McDonald, Ira" <[email-masked]>
Date: Wed, 4 Oct 2006 09:50:17 -0700

+1

While I agree with Mark that this won't help much with
reducing the size of the "pick list", the Language
Subtag Registry is intended to be a _free-standing_
and comprehensive source of language tag elements
and the distinction of 'collection' seems important.

Despite the FDIS usage of the thoroughly opaque term
'Language-Type', I'd suggest that this field (if added)
be called 'Language-Status' (as John speculated below).

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

> -----Original Message-----
> From: John Cowan [mailto:[email-masked]]
> Sent: Wednesday, October 04, 2006 9:42 AM
> To: [email-masked]
> Subject: [Ltru] Proposal: include new "Language-Type:" field
> 
> 
> A proposal:
> 
> The 4646bis registry should capture the language type information from
> ISO 639-3.  Each language, including macrolanguages, is labeled in -3
> as either living, extinct, ancient, historic, or constructed.  These
> terms are defined precisely at http://www.sil.org/iso639-3/types.asp .
> Though informative rather than normative, this is very useful to help
> shrink the large number of languages to a more manageable size.
> 
> The current draft of 639-3 contains 6989 living languages, 417
> extinct languages, 114 ancient languages, 53 historic languages,
> and 24 constructed languages.  The codes 'mul', 'und', and 'zxx' are
> special cases.
> 
> The registry should also capture the individual language vs.  language
> collection information from ISO 639-2.  If a code element appears in
> -2 but not in -3, it is a language collection; there are 68 such code
> elements.  Now that we have 639-3 code elements for essentially every
> language on the planet, language-collection subtags are 
> extremely vague
> and provide little guidance to the recipient.
> 
> (I'm not really happy with the vagueness of "Language-Type", and would
> prefer "Language-Status", but it's the term used in the FDIS.)
> 
> 
> I propose the following language for 4646bis section 3.1.2:
> 
> o Language-Type
>         o Language-Type's field-body contains one of the values
>           'collection', 'extinct', 'ancient', 'historic', 
> 'constructed',
>           or 'special'.  This field MUST NOT appear except in records
>           of type 'language'.
> 
> 
> And here's a draft of the new section 3.1.3.8:
> 
> 3.1.3.8.  Language-Type field
> 
>         The field 'Language-Type' MUST only appear in records whose
>         'Type' field-body is 'language'. This field MUST NOT appear
>         more than once in a record.  Most of the language records in
>         the registry represent individual living languages.  
> This field
>         indicates those which are not.
> 
>         The value 'collection' indicates a language 
> collection appearing
>         in ISO 639-2 but not ISO 639-3.  The values 
> 'extinct', 'ancient',
>         'historic', and 'constructed' indicate languages which are so
>         designated in ISO 639-3; precise definitions of these 
> terms can
>         be found in that standard.  The value 'special' is 
> used for the
>         three subtags 'mul', 'und', and 'zxx', which do not actually
>         designate languages at all.
> 
> 
> Finally, here's a rule for section 4.1:
> 
>         8.  Language subtags with a 'Language-Type' field of 
> 'collection'
>         do not represent specific languages, and SHOULD NOT be used
>         unless more specific information is unavailable.
> 
> Appropriate adjustments would be needed to 3.3, 3.4, and 3.5 as well.
> We should be able to set this field if and when we ever register
> a language subtag directly, and change it when 639-3 changes.
> 
> -- 
> John Cowan
>         [email-masked]
>                 I am a member of a civilization. --David Brin
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru
> 

-- 
No virus found in this outgoing message.
Checked by AVG Free Edition.
Version: 7.1.407 / Virus Database: 268.12.12/462 - Release Date: 10/3/2006

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru